"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
var noop = function noop() {};

function createFakePromise(thenResult) {
    return {
        then: function then() {
            var cb = arguments.length <= 0 || arguments[0] === undefined ? noop : arguments[0];

            return createFakePromise(cb(thenResult));
        },
        "catch": function _catch() {
            return createFakePromise();
        }
    };
}

exports["default"] = function (key) {
    return {
        load: function load() {
            var jsonState = localStorage.getItem(key);
            var jsonObj = JSON.parse(jsonState) || {};
            return createFakePromise(jsonObj);
        },
        save: function save(state) {
            var jsonState = JSON.stringify(state);
            localStorage.setItem(key, jsonState);
            return createFakePromise();
        }
    };
};